package com.m2pool.pool.mapper;

import com.m2pool.common.datasource.annotation.DistributionDB;
import com.m2pool.pool.dto.ProfitDto;
import com.m2pool.pool.dto.OutcomeDto;
import org.apache.ibatis.annotations.Param;

import java.math.BigDecimal;
import java.util.List;

/**
 * @Description 挖矿账号收益、提现
 * @Date 2022/8/30 17:47
 * @Author 杜懿
 */
@DistributionDB
public interface AccountDistributionMapper {

    public List<ProfitDto> getDistributionByMinerAccount(@Param("coin") String coin, @Param("ma") String ma);

    public List<ProfitDto> getDayDistributionByMinerAccount(@Param("coin") String coin, @Param("ma") String ma);


    public List<ProfitDto> getDayPendingByMinerAccount(@Param("coin") String coin, @Param("ma") String ma);


    public List<OutcomeDto> getOutcomeListByCoinAndUser(@Param("coin") String coin, @Param("ma") String ma);

    public BigDecimal getTotalOutByCoinAndUser(@Param("coin") String coin, @Param("ma") String ma);

}
